MCP Tools Reference: managedkafka

Tool: stop_connector

Stops a Google Cloud Managed service for Apache Kafka Connect connector.

The following sample demonstrate how to use curl to invoke the stop_connector MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "stop_connector",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for StopConnector.

StopConnectorRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the connector to stop. Format: projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}/connectors/{connector_id}

Output Schema

Response for StopConnector.

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌